APM(8)

NAME
apm - control the APM BIOS and display its information

SYNOPSIS
apm [-ablstzZ] [-d enable] [-e enable] [-h enable] [-r delta]

DESCRIPTION
The apm utility controls the Intel / Microsoft APM (Advanced Power Management) BIOS and displays the current status of APM on laptop PCs.

The options are as follows:

-a  Display the current AC-line status as an integer value. The values 0, 1 and 2 correspond to the “off-line” state, “on-line” state or “backup power” state, respectively.

-b  Display an integer value reflecting the current battery status. The values 0, 1, 2, 3, correspond to the “high” status, “low” status, “critical” status, “charging” status respectively.

-d enable
    Disable/enable suspending of the display separately from a normal suspend using the boolean value for enable. This feature seems to not work on many different laptops, including the Libretto 30CT and 50CT.

-e enable
    Enable or disable APM functions of the computer, depending on the boolean enable argument.

-h enable
    Depending on the boolean value of enable, enable or disable the HLT instruction in the kernel context switch routine. These options are not necessary for almost all APM implementations, but for some implementations whose “Idle CPU” call executes both CPU clock slowdown and HLT instruction, -h false is necessary to prevent the system from reducing its peak performance. See apm(4) for details.

-l  Display the remaining battery percentage. If your laptop does not support this function, 255 is displayed.

-r delta
    Enable the resume wakeup timer, if the laptop supports it. This does not actually suspend the laptop, but if the laptop is suspended, and it supports resume from suspend, then it will be resumed after delta seconds (from when you run this command, not from when you suspend).

-s  Display the status of the APM support as an integer value. The values 0 and 1 correspond to the “disabled” state or “enabled” state respectively.

-t  Display the estimated remaining battery lifetime in seconds. If it is unknown, -1 is displayed.

-Z  Transition the system into standby mode. This mode uses less power than full power mode, but more than suspend mode. Some laptops support resuming from this state on timer or Ring Indicator events. The output of apm tells what your laptop claims to support.

-z  Suspend the system. It is used by zzz(8).

If no options are specified, apm displays information and current status of APM in verbose mode. If multiple display options are given, the values are displayed one per line in the order given here.

NOTES
apmconf(8) has been merged in apm and thus apm replaces all of its functionality.

SEE ALSO
apm(4), zzz(8)

AUTHORS
Tatsumi Hosokawa <hosokawa@jp.FreeBSD.org>

BUGS
Some APM implementations do not support parameters needed by apm. On such systems, apm displays them as unknown.

Some APM implementations cannot handle events such as pushing the power button or closing the cover. On such implementations, the system must be suspended only by using apm or zzz.